# SingleStore Studio Upgrade

Upgrading Studio can be done through the package manager on the computer, instance, or container where Studio is installed.

> **❗ Important**: Note that upgrading Studio does not automatically upgrade the database engine. To upgrade the database engine, see [Upgrade SingleStore](https://docs.singlestore.com/db/v9.1/user-and-cluster-administration/maintain-your-cluster/upgrade-or-uninstall-singlestore/upgrade-singlestore.md).To upgrade the database engine to version 9.1 see [Upgrade to SingleStore 9.1](https://docs.singlestore.com/db/v9.1/user-and-cluster-administration/maintain-your-cluster/upgrade-or-uninstall-singlestore/upgrade-to-singlestore-9-1.md).

* *Red Hat Distribution*

  To update the `singlestoredb-studio` package with YUM, run the following:```shell
  sudo yum update singlestoredb-studio
  ```

* *Debian Distribution*

  1. To update the `singlestoredb-studio` package with APT, update the package lists for packages that need upgrading, as well as new packages that have just come to the repositories.
     ```shell
     sudo apt update
     ```

  2. SingleStore packages are signed to ensure integrity, so the GPG key needs to be added to this host. When done, verify that the SingleStore signing key has been added using `apt-key list`.
     ```shell
     wget -O - 'https://release.memsql.com/release-aug2018.gpg' 2>/dev/null | sudo apt-key add - && apt-key list
     ```
     **Without using `apt-key`**:
     ```shell
     wget -q -O - 'https://release.memsql.com/release-aug2018.gpg' | sudo tee /etc/apt/trusted.gpg.d/memsql.asc 1>/dev/null
     ```

  3. Update the `singlestoredb-studio` package.
     ```shell
     sudo apt install singlestoredb-studio
     ```

* *Tarball*

  To upgrade the Studio tarball, you need to replace the currently installed Studio binaries with new binaries. Using symbolic links is one way to achieve this action and the instructions are as follows.1. Navigate to the directory that contains the unpacked Studio tarball and create a symbolic link pointing to the Studio currently installed. Name this symlink `singlestoredb-studio`.
     ```shell
     ln -s singlestoredb-studio-<version>-<commit-hash> singlestoredb-studio
     ```
     Run `ls -l` to verify that the symlink is created.

  2. Obtain the latest version of `singlestoredb-studio` using the following command.
     ```shell
     curl https://release.memsql.com/production/index/memsqlstudio/latest.json
     ```
     The JSON you receive contains a relative path to the `memsql-studio-tar` file in the following format.
     ```shell
     "Path": "production/tar/x86_64/singlestoredb-studio-<version>-<commit-hash>.x86_64.tar.gz"
     ```

  3. Use `wget` to download the file by copying, pasting, and appending the path (minus the quotes) to <https://release.memsql.com/>. Example is shown below.
     ```shell
     wget https://release.memsql.com/production/tar/x86_64/singlestoredb-studio-<version>-<commit-hash>.x86_64.tar.gz
     ```
     As an alternative to steps 2 and 3, you can download the latest version of Studio tarball file using the following link.



  4. Transfer the tarball file to the main deployment host where the earlier version of Studio is available.

  5. Unpack the Studio file by running the following command.
     ```shell
     tar xzvf singlestoredb-studio-<version>-<commit-hash>.tar.gz
     ```
     Now the directory contains both versions of Studio.

  6. Remove the `singlestoredb-studio` symlink by running the following command.
     ```shell
     rm singlestoredb-studio
     ```

  7. Recreate the symlink by pointing it to the new version of Studio downloaded and unpacked in steps 2 and 4.
     ```shell
     ln -s singlestoredb-studio-<version>-<commit-hash>/ singlestoredb-studio
     ```
     The upgrade is complete. If you encounter any issues and need to downgrade, you can simply point the symlink back to the old version for Studio.

  8. After successful validation, you can remove the old version of Studio by running the following command.
     ```shell
     rm -rf singlestoredb-studio-<version>-<commit-hash>
     ```> **📝 Note**: Using symbolic links is optional in the Studio tarball upgrade. To perform the upgrade, you need to replace the old Studio binaries with new binaries with or without symbolic links.As an alternative to using symbolic links for the upgrade, you can update the PATH environment variable with the path to the folder where the new version of Studio tarball is unpacked, as shown below.```shell
  export PATH=<Folder-with-new-binaries>/singlestoredb-studio-<version>-<commit-hash>/:$PATH
  ```

***

Modified at: March 18, 2026

Source: [/db/v9.1/reference/singlestore-tools-reference/singlestore-studio/singlestore-studio-upgrade/](https://docs.singlestore.com/db/v9.1/reference/singlestore-tools-reference/singlestore-studio/singlestore-studio-upgrade/)

(An index of the documentation is available at /llms.txt)
